Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.ant
Class IvyResolve

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              fr.jayasoft.ivy.ant.IvyTask
                  fr.jayasoft.ivy.ant.IvyResolve

public class IvyResolve
extends IvyTask

Author:
  Hanin

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IvyResolve()`

Method Summary
`void` | `execute()`
`java.io.File` | `getCache()`
`java.lang.String` | `getConf()`
`java.lang.String` | `getDate()`
`java.io.File` | `getFile()`
`java.lang.String` | `getRevision()`
`java.lang.String` | `getType()`
`boolean` | `isHaltonfailure()`
`boolean` | `isUseCacheOnly()`
`void` | `setCache(java.io.File cache)`
`void` | `setConf(java.lang.String conf)`
`void` | `setDate(java.lang.String pubdate)`
`void` | `setFile(java.io.File file)`
`void` | `setHaltonfailure(boolean haltOnFailure)`
`void` | `setRevision(java.lang.String revision)`
`void` | `setShowprogress(boolean show)`
`void` | `setType(java.lang.String type)`
`void` | `setUseCacheOnly(boolean useCacheOnly)`

Methods inherited from class fr.jayasoft.ivy.ant.IvyTask
`doValidate, ensureMessageInitialised, ensureResolved, getIvyInstance, getProperty, getProperty, getPubDate, isValidate, mergeConfs, setIvyInstance, setResolved, setValidate, splitConfs`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyResolve

    public IvyResolve()

Method Detail

### getDate

    public java.lang.String getDate()

### setDate

    public void setDate(java.lang.String pubdate)

### getRevision

    public java.lang.String getRevision()

### setRevision

    public void setRevision(java.lang.String revision)

### getCache

    public java.io.File getCache()

### setCache

    public void setCache(java.io.File cache)

### getConf

    public java.lang.String getConf()

### setConf

    public void setConf(java.lang.String conf)

### getFile

    public java.io.File getFile()

### setFile

    public void setFile(java.io.File file)

### isHaltonfailure

    public boolean isHaltonfailure()

### setHaltonfailure

    public void setHaltonfailure(boolean haltOnFailure)

### setShowprogress

    public void setShowprogress(boolean show)

### isUseCacheOnly

    public boolean isUseCacheOnly()

### setUseCacheOnly

    public void setUseCacheOnly(boolean useCacheOnly)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD